<template>
  <div>
    {{itemStatus}}
  </div>
</template>

<script>

export default {
  props: {
    item: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    itemStatus() {
      if (this.item.status === 'IN_PROCESS') {
        return 'В пути'
      }
      else if (this.item.status === 'BOOKED'){
        return 'В назначение ресурсов'
      }
      else if (this.item.status === 'ALLOCATED'){
        return 'В назначение ресурсов'
      }
      else if (this.item.status === 'CANCELED'){
        return 'Отменен'
      }
      else if (this.item.status === 'CONTRACTED'){
        return 'К подаче'
      }
      else if (this.item.status === 'PROCESSED'){
        return 'Сбор документов'
      }
      else if (this.item.status === 'EXECUTION_CONFIRMED'
          || this.item.status === 'INVOICING'
          || this.item.status === 'INVOICED'
          || this.item.status === 'PAID'
          || this.item.status === 'PAY_PROCESS'){
        return 'Оплата'
      }
      else{
        return this.item.status
      }
    }

  }
}
</script>